Name: task-cinnamon
Version: 3.2
Release: %mkrel 2
Summary: Metapackage for Cinnamon desktop environment
Group: Graphical desktop/Cinnamon
License: GPLv2+
BuildArch: noarch
Requires: %{name}-minimal >= %{version}
Recommends: nemo-pastebin >= %{version}
Recommends: nemo-rabbitvcs >= %{version}
Recommends: nemo-fileroller >= %{version}
Recommends: nemo-preview >= %{version}
Recommends: nemo-python >= %{version}
Recommends: nemo-terminal >= %{version}
Recommends: task-xapps
Recommends: cinnamon-screensaver-unsupported
Recommends: nemo-compare
Recommends: nemo-emblems
Recommends: nemo-image-converter
Recommends: nitroshare-nemo

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running Cinnamon.

%package devel
Summary: Development package needed for Cinnamon desktop 
Requires: task-cinnamon >= %{version}
Requires: nemo-python-devel >= %{version}
Requires: cinnamon-control-center-devel >= %{version}
Requires: cinnamon-settings-daemon-devel >= %{version}
Requires: pkgconfig(cinnamon-desktop) >= %{version}
Requires: pkgconfig(libnemo-extension) >= %{version}
Requires: muffin-devel >= %{version}

%package minimal
Summary: Minimal dependencies needed for Cinnamon desktop 
Group: Graphical desktop/Cinnamon
Requires: cinnamon >= %{version}
Requires: cinnamon-desktop >= %{version}
Requires: cinnamon-session >= %{version}
Requires: cinnamon-control-center >= %{version}
Requires: cinnamon-screensaver >= %{version}
Requires: cinnamon-settings-daemon >= %{version}
Requires: cinnamon-translations >= %{version}
Requires: muffin >= %{version}
Requires: nemo >= %{version}
Recommends: lightdm
Recommends: pulseaudio
Recommends: drakconf
Recommends: blueberry
Recommends: gnome-terminal
Recommends: adwaita-gtk2-theme
Recommends: fonts-ttf-dejavu

# Note that cinnamon also requires mate-polkit but this is included
# as a requires in cinnamon since cinnamon functionality breaks without
# an authenticator

# like task-kde4, but suggests instead of requires
Recommends: task-x11 >= 1-2

%description devel
This package is a meta-package, meaning that its purpose is to contain
development dependencies for running a minimal Cinnamon desktop environment.

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal Cinnamon desktop environment.

%files

%files minimal

%files devel



%changelog
* Wed Jul 12 2017 adrianomorselli <adrianomorselli> 3.2-1uplos2017
- create
